> ## Documentation Index
> Fetch the complete documentation index at: https://developer.tessie.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Telemetry Config

> Returns the vehicle's Fleet Telemetry configuration.



## OpenAPI

````yaml get /{vin}/fleet_telemetry_config
openapi: 3.0.0
info:
  title: Tessie API
  version: 1.0.0
  license:
    name: Apache 2.0
    url: https://www.apache.org/licenses/LICENSE-2.0.html
  description: The Tesla management platform.
  contact:
    name: Tessie
    url: https://tessie.com
    email: support@tessie.com
  x-logo:
    url: ''
  termsOfService: https://tessie.com/terms
servers:
  - url: https://api.tessie.com
security:
  - bearerAuth: []
tags:
  - name: Driver Management
    description: Driver management endpoints
  - name: Telemetry Configuration
    description: Vehicle telemetry configuration endpoints
  - name: Vehicle Commands
    description: Vehicle command endpoints
  - name: Vehicle Data
    description: Vehicle data endpoints
paths:
  /{vin}/fleet_telemetry_config:
    parameters:
      - $ref: '#/components/parameters/vin'
    get:
      tags:
        - Telemetry Configuration
      summary: Get Telemetry Config
      description: Returns the vehicle's Fleet Telemetry configuration.
      operationId: get-fleet-telemetry-config
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type: object
                properties:
                  synced:
                    type: boolean
                  config:
                    type: object
                    properties:
                      hostname:
                        type: string
                      ca:
                        type: string
                      exp:
                        type: integer
                      port:
                        type: integer
                      fields:
                        type: object
                        properties: {}
                      alert_types:
                        type: array
                        items:
                          type: string
                  update_available:
                    type: boolean
                x-examples:
                  Example 1:
                    synced: true
                    config:
                      hostname: telemetry.tessie.com
                      ca: ...
                      exp: 1753759258
                      port: 443
                      fields: {}
                      alert_types:
                        - service
                    update_available: false
              examples:
                Example 1:
                  value:
                    synced: true
                    config:
                      hostname: telemetry.tessie.com
                      ca: ...
                      exp: 1753759258
                      port: 443
                      fields:
                        ACChargingPower:
                          interval_seconds: 60
                        BatteryLevel:
                          interval_seconds: 60
                        ChargeState:
                          interval_seconds: 60
                        DCChargingPower:
                          interval_seconds: 60
                        EnergyRemaining:
                          interval_seconds: 60
                        Gear:
                          interval_seconds: 60
                        IdealBatteryRange:
                          interval_seconds: 60
                        Location:
                          interval_seconds: 60
                        Odometer:
                          interval_seconds: 60
                        RatedRange:
                          interval_seconds: 60
                      alert_types:
                        - service
                    update_available: false
components:
  parameters:
    vin:
      name: vin
      description: The associated VIN.
      schema:
        type: string
      in: path
      required: true
      deprecated: false
      x-last-modified: 1643747623235
      example: 5YJXCAE43LF123456
  securitySchemes:
    bearerAuth:
      scheme: bearer
      type: http

````